
/* ----------------------------------------- */
/* ДОПОЛНЕНИЕ - МАТЕРИАЛ В ФОРМАТЕ ЗАГОЛОВКА */
/* ----------------------------------------- */
/* ДИЗАЙН - ЗАГОЛОВОК - БЕЗ ФОНА             */
/* ----------------------------------------- */

/* Добавить в начало ярлыка:

mat-like-title-1-

*/

/* ----------------- */
/* ПАНЕЛЬ УПРАВЛЕНИЯ */
/* ----------------- */

:root {


/* ОТСТУПЫ ЗАГОЛОВКА */
/* ----------------- */

	/* Левый отступ */
	--padding-left-mat-like-title-1: 21px;

	/* Правый отступ */
	--padding-right-mat-like-title-1: 21px;

	/* Нижний отступ */
	--margin-bottom-mat-like-title-1: 51px;
	
	/* Нижний отступ - на мобильных */
	--margin-bottom-mobile-mat-like-title-1: 51px;

	/* Верхний отступ */
	--margin-top-mat-like-title-1: 0px;
	
	/* Верхний отступ - на мобильных */
	--margin-top-mobile-mat-like-title-1: 0px;
	
	/* Выравнивание заголовка */
	/* Подсказска: left - слева, center - центр, right - справа */
	--align-content-mat-like-title-1: left;
	
	/* Выравнивание заголовка - на мобильных */
	--align-content-mobile-mat-like-title-1: left;

/* НАСТРОЙКИ ДИЗАЙНА ЗАГОЛОВКА */
/* --------------------------- */
	
	/* Размер заголовка */
	--title-size-mat-like-title-1: 4rem;
	
	/* Размер заголовка - на мобильных */
	--title-size-mobile-mat-like-title-1: 2.5rem;
	
	/* Цвет заголовка */
	--title-color-mat-like-title-1: #000000;

	/* Жирность заголовка */
	--title-weight-mat-like-title-1: 700;
	
	/* Шрифт заголовка */
	--title-font-mat-like-title-1: tahoma, arial, helvetica, sans-serif;
	
	/* Перенос слов в заголовке через дефис */
	/* Подсказска: auto - переносить слова, none - НЕ переносить слова */
	--title-hyphens-mat-like-title-1: auto;

}

/* ------------------ */
/* БЛОК ВСЕЙ КАРТОЧКИ */
/* ------------------ */

.site-content .materials-row .col-md-6:has(a[href*="/mat-like-title-1-"]),
.site-content .materials-row.one-in-line .col-md-12:has(a[href*="/mat-like-title-1-"]) {
    display: block !important;
	/* количество карточек в ряду */
	width: 100%;
	/* Отступы */
	padding-right: 15px;
    padding-left: 15px;
	margin: var(--margin-top-mat-like-title-1) 0px var(--margin-bottom-mat-like-title-1) 0px;
	/* убираем кликабельность */
	/* cursor: default; */
    /* pointer-events: none; */
	/* убираем возможный счётчик (от других форматов из Космического) */
	/* нужно, чтобы счётчик материала после заголовка начинался с "1" или логично продолжался */
	counter-increment: none;
	/* counter-increment: material-counter 0; */
	float: unset;
}

/* Нижний и верхний отступы - на мобильных */

@media (min-width: 320px) and (max-width: 767px) {

.site-content .materials-row .col-md-6:has(a[href*="/mat-like-title-1-"]),
.site-content .materials-row.one-in-line .col-md-12:has(a[href*="/mat-like-title-1-"]) {
	margin: var(--margin-top-mobile-mat-like-title-1) 0px var(--margin-bottom-mobile-mat-like-title-1) 0px;
}
}

/* Убираем возможные иконки внутри блока всей карточки - ДО (например, из формата "Список") */

.site-content .materials-row .container .col-md-6:has(a[href*="/mat-like-title-1-"]):before,
.site-content .materials-row.one-in-line .container .row .col-md-12:has(a[href*="/mat-like-title-1-"]):before {
	display: none !important;
}

/* --------------- */
/* БЛОК - КАРТОЧКА */
/* --------------- */

.site-content .materials-row .col-md-6:has(a[href*="/mat-like-title-1-"]) .material-item,
.site-content .materials-row.one-in-line .col-md-12:has(a[href*="/mat-like-title-1-"]) .material-item {
	display: block;
	position: relative;
	width: 100%;
	border-radius: 0px;
    background: none;
	/* border: 1px solid black; */
	border: none;
	/* отступы */
	margin: 0;
	padding: 0 var(--padding-right-mat-like-title-1) 0 var(--padding-left-mat-like-title-1);
	/* padding: 0; */
	box-shadow: none;
	transition: none !important;
	overflow: visible;
}

.site-content .materials-row .col-md-6:has(a[href*="/mat-like-title-1-"]) .material-item:hover,
.site-content .materials-row.one-in-line .col-md-12:has(a[href*="/mat-like-title-1-"]) .material-item:hover {
	box-shadow: none;
}

/* Убираем возможные иконки внутри блока карточки заголовка - ДО (например, из формата "Список") */

.site-content .materials-row .col-md-6:has(a[href*="/mat-like-title-1-"]) .material-item:before,
.site-content .materials-row.one-in-line .col-md-12:has(a[href*="/mat-like-title-1-"]) .material-item:before {
	display: none !important;
}

/* ------------- */
/* БЛОК - ССЫЛКА */
/* ------------- */

.site-content .materials-row .col-md-6:has(a[href*="/mat-like-title-1-"]) .material-item a,
.site-content .materials-row.one-in-line .col-md-12:has(a[href*="/mat-like-title-1-"]) .material-item a {
	display: flex;
	height: auto;
	flex-flow: column;
	padding: 0;
    margin: 0;
	/* выравниваем базово слева */
	align-items: start;
	justify-content: start;
	transition: none !important;
	animation: none;
}

/* Убираем возможный счётчик (от других форматов из Космического) */
/* нужно, чтобы счётчик вообще не отображался в заголовках */

.site-content .materials-row .container .col-md-6:has(a[href*="/mat-like-title-1-"]) .material-item .flex-wrap:after,
.site-content .materials-row.one-in-line .container .row .col-md-12:has(a[href*="/mat-like-title-1-"]) .material-item .flex-wrap:after {
	display: none !important;
}

/* Убираем возможные иконки внутри блока ссылки - ДО (например, из формата "Список") */

.site-content .materials-row .col-md-6:has(a[href*="/mat-like-title-1-"]) .material-item a:before,
.site-content .materials-row.one-in-line .col-md-12:has(a[href*="/mat-like-title-1-"]) .material-item a:before {
	display: none !important;
}

/* --------------------------------- */
/* БЛОК - ОБЛОЖКА (+ ВСЕ ИНДИКАТОРЫ) */
/* --------------------------------- */

/* Убираем блок обложки */

.site-content .materials-row .col-md-6:has(a[href*="/mat-like-title-1-"]) .material-item .flex-wrap .col-thumb,
.site-content .materials-row.one-in-line .col-md-12:has(a[href*="/mat-like-title-1-"]) .material-item .flex-wrap .col-thumb {
	display: none !important;
}

/* -------------- */
/* БЛОК - КОНТЕНТ */
/* -------------- */

.site-content .materials-row .col-md-6:has(a[href*="/mat-like-title-1-"]) .material-item .flex-wrap .col-content,
.site-content .materials-row.one-in-line .col-md-12:has(a[href*="/mat-like-title-1-"]) .material-item .flex-wrap .col-content {
	display: flex !important;
	width: 100%;
	/* width: auto; */
	height: auto;
	border: none;
	position: relative;
	border-radius: 0;
	background: none !important;
	top: 0;
	left: 0px;
    right: 0px;
	align-self: unset;
    opacity: 1;
	transition: none;
	backdrop-filter: none;
	-webkit-backdrop-filter: none;
	z-index: unset;
	box-shadow: none;
	transform: none;
}

/* ----------------------- */
/* БЛОК - ОБЁРТКА КОНТЕНТА */
/* ----------------------- */

.site-content .materials-row .col-md-6:has(a[href*="/mat-like-title-1-"]) .material-item .flex-wrap .col-content .content-wrap,
.site-content .materials-row.one-in-line .col-md-12:has(a[href*="/mat-like-title-1-"]) .material-item .flex-wrap .col-content .content-wrap {
	display: flex !important;	
	width: 100%;
    flex-flow: column;
    gap: 15px;
    align-items: start;
	align-self: normal;
	position: relative;
	margin: 0;
	padding: 0;
	/* padding: 5px 10px 10px 10px; */
	text-align: var(--align-content-mat-like-title-1);
	/* Нижняя рамка, которая обрезает торчащие буквы в описании */
	border: none;
	overflow: hidden;
	opacity: 1;
    transition: none;
}

/* Выравнивание заголовка и описания - на мобильных */

@media (min-width: 320px) and (max-width: 767px) {
	
.site-content .materials-row .col-md-6:has(a[href*="/mat-like-title-1-"]) .material-item .flex-wrap .col-content .content-wrap,
.site-content .materials-row.one-in-line .col-md-12:has(a[href*="/mat-like-title-1-"]) .material-item .flex-wrap .col-content .content-wrap {
	text-align: var(--align-content-mobile-mat-like-title-1);
}
}

.site-content .materials-row .col-md-6:has(a[href*="/mat-like-title-1-"]) .material-item:hover .flex-wrap .col-content .content-wrap,
.site-content .materials-row.one-in-line .col-md-12:has(a[href*="/mat-like-title-1-"]) .material-item:hover .flex-wrap .col-content .content-wrap {
	opacity: 1 !important;
}

/* Убираем кнопку "Смотреть" при наведении */
/* потому что она встречается в некоторых форматах Космического */

.site-content .materials-row .col-md-6:has(a[href*="/mat-like-title-1-"]) .material-item .content-overlay,
.site-content .materials-row.one-in-line .col-md-12:has(a[href*="/mat-like-title-1-"]) .material-item .content-overlay,

.site-content .materials-row .col-md-6:has(a[href*="/mat-like-title-1-"]) .material-item.material-opened:hover .content-overlay,
.site-content .materials-row.one-in-line .col-md-12:has(a[href*="/mat-like-title-1-"]) .material-item.material-opened:hover .content-overlay,

.site-content .materials-row .col-md-6:has(a[href*="/mat-like-title-1-"]) .material-item.material-closed:hover .content-overlay,
.site-content .materials-row.one-in-line .col-md-12:has(a[href*="/mat-like-title-1-"]) .material-item.material-closed:hover .content-overlay,

.site-content .materials-row .col-md-6:has(a[href*="/mat-like-title-1-"]) .material-item.material-locked:hover .content-overlay,
.site-content .materials-row.one-in-line .col-md-12:has(a[href*="/mat-like-title-1-"]) .material-item.material-locked:hover .content-overlay {
    display: none !important;
}

/* Убираем возможные иконки внутри обёртки контента - ПЕРЕД (например, из формата "Паззл") */

.site-content .materials-row .col-md-6:has(a[href*="/mat-like-title-1-"]) .material-item .flex-wrap .col-content .content-wrap:before,
.site-content .materials-row.one-in-line .col-md-12:has(a[href*="/mat-like-title-1-"]) .material-item .flex-wrap .col-content .content-wrap:before {
	display: none !important;
}

/* Убираем возможные иконки внутри обёртки контента - ПОСЛЕ (например, из формата "Скользящие") */

.site-content .materials-row .col-md-6:has(a[href*="/mat-like-title-1-"]) .material-item .flex-wrap .col-content .content-wrap:after,
.site-content .materials-row.one-in-line .col-md-12:has(a[href*="/mat-like-title-1-"]) .material-item .flex-wrap .col-content .content-wrap:after {
	display: none !important;
}

/* ---------------- */
/* БЛОК - ЗАГОЛОВОК */
/* ---------------- */

.site-content .materials-row .col-md-6:has(a[href*="/mat-like-title-1-"]) .material-item .content-wrap .title,
.site-content .materials-row.one-in-line .col-md-12:has(a[href*="/mat-like-title-1-"]) .material-item .content-wrap .title {
	display: block !important;
	width: 100%;
	margin: 0;
    padding: 0;
	font-size: var(--title-size-mat-like-title-1);
	font-family: var(--title-font-mat-like-title-1);
	font-weight: var(--title-weight-mat-like-title-1);
	color: var(--title-color-mat-like-title-1)!important;
	hyphens: auto;
}

/* Размер Заголовка на мобильных */

@media (min-width: 320px) and (max-width: 767px) {

.site-content .materials-row .col-md-6:has(a[href*="/mat-like-title-1-"]) .material-item .content-wrap .title,
.site-content .materials-row.one-in-line .col-md-12:has(a[href*="/mat-like-title-1-"]) .material-item .content-wrap .title {
	font-size: var(--title-size-mobile-mat-like-title-1);
}
}

/* Количество строк в заголовке */

.site-content .materials-row .col-md-6:has(a[href*="/mat-like-title-1-"]) .material-item .flex-wrap .content-wrap .title,
.site-content .materials-row.one-in-line .col-md-12:has(a[href*="/mat-like-title-1-"]) .material-item .flex-wrap .content-wrap .title {
    height: auto;
    /* количество строк */
	-webkit-line-clamp: none !important;
	line-clamp: none !important;
	/* перенос текста */
    hyphens: var(--title-hyphens-mat-like-title-1);
	/* убираем разные влияния */
	overflow: unset;
    -webkit-box-orient: unset;
	word-break: unset;
}

/* --------------- */
/* БЛОК - ОПИСАНИЕ */
/* --------------- */

/* Убираем описание */

.site-content .materials-row .col-md-6:has(a[href*="/mat-like-title-1-"]) .material-item .content-wrap .description,
.site-content .materials-row.one-in-line .col-md-12:has(a[href*="/mat-like-title-1-"]) .material-item .content-wrap .description {
	display: none !important;
}

/* ------------- */
/* ОСОБЫЕ ПРАВКИ */
/* ------------- */

/* ПРАВКИ ТОЛЬКО ДЛЯ ФОРМАТА "ТАБЛИЦА - ДИЗАЙН 2" ИЗ КОСМИЧЕСКОГО */
/* -------------------------------------------------------------- */

/* Нужно, чтобы сохранить закругление первого материала, который идёт после заголовка */

/* ГАЛЯ, ОТМЕНА. ПОТОМУ ЧТО ЭТИ СТИЛИ ПОВЛИЯЮТ НА ВСЕ ФОРМАТЫ КОСМИЧЕСКОГО */

/* РЕШЕНИЕ - ЕСЛИ НУЖНА ЭТА ПРАВКА, ТО ВЫНЕСТИ ДВА НИЖНИХ СТИЛЯ В СКРИПТЫ НУЖНОЙ РУБРИКИ, */
/* ГДЕ ЕСТЬ ФОРМАТ "ТАБЛИЦА - ДИЗАЙН 2". ТОГДА С ЗАКРУГЛЕНИЕМ ТАБЛИЦЫ ВСЁ БУДЕТ ОК */

/* АЛЬТЕРНАТИВА - СДЕЛАТЬ ОТДЕЛЬНЫЙ ФОРМАТ ЗАГОЛОВКА ЧИСТО ДЛЯ СТРАНИЦЫ, ГДЕ МАТЕРИАЛЫ В ВИДЕ ТАБЛИЦЫ */

/* На больших экранах - сохраняем закругление слева вверху и справа вверху */

/* .site-content .materials-row .col-md-6:has(a[href*="/mat-like-title-1-"]) + .col-md-6 .material-item,
.site-content .materials-row.one-in-line .col-md-12:has(a[href*="/mat-like-title-1-"]) + .col-md-12 .material-item {
	overflow: auto;
	border-radius: var(--radius-panel-14) var(--radius-panel-14) 0 0;
} */

/* На маленьких экранах - сохраняем закругление только справа вверху */

/* @media (min-width: 320px) and (max-width: 991px) {

.site-content .materials-row .col-md-6:has(a[href*="/mat-like-title-1-"]) + .col-md-6 .material-item,
.site-content .materials-row.one-in-line .col-md-12:has(a[href*="/mat-like-title-1-"]) + .col-md-12 .material-item {
	overflow: auto;
	border-radius: 0 var(--radius-panel-14) 0 0;
}
} */